Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor.microdata
Class MicrodataExtractorTest.TestRDFHandler

    java.lang.Object
      org.apache.any23.extractor.microdata.MicrodataExtractorTest.TestRDFHandler

All Implemented Interfaces:
  org.openrdf.rio.RDFHandler

Enclosing class:
  MicrodataExtractorTest

    public static class MicrodataExtractorTest.TestRDFHandler

extends Object
implements org.openrdf.rio.RDFHandler

Constructor Summary
`MicrodataExtractorTest.TestRDFHandler()`

Method Summary
`void` | `endRDF()`
`protected List<org.openrdf.model.Statement>` | `getStatements()`
`void` | `handleComment(String s)`
`void` | `handleNamespace(String s, String s1)`
`void` | `handleStatement(org.openrdf.model.Statement statement)`
`void` | `startRDF()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MicrodataExtractorTest.TestRDFHandler

    public MicrodataExtractorTest.TestRDFHandler()

Method Detail

### getStatements

    protected List<org.openrdf.model.Statement> getStatements()

### startRDF

    public void startRDF()
                  throws org.openrdf.rio.RDFHandlerException

  Specified by:
    `startRDF` in interface `org.openrdf.rio.RDFHandler`
  Throws:
    `org.openrdf.rio.RDFHandlerException`

### endRDF

    public void endRDF()
                throws org.openrdf.rio.RDFHandlerException

  Specified by:
    `endRDF` in interface `org.openrdf.rio.RDFHandler`
  Throws:
    `org.openrdf.rio.RDFHandlerException`

### handleNamespace

    public void handleNamespace(String s,
                                String s1)
                         throws org.openrdf.rio.RDFHandlerException

  Specified by:
    `handleNamespace` in interface `org.openrdf.rio.RDFHandler`
  Throws:
    `org.openrdf.rio.RDFHandlerException`

### handleStatement

    public void handleStatement(org.openrdf.model.Statement statement)
                         throws org.openrdf.rio.RDFHandlerException

  Specified by:
    `handleStatement` in interface `org.openrdf.rio.RDFHandler`
  Throws:
    `org.openrdf.rio.RDFHandlerException`

### handleComment

    public void handleComment(String s)
                       throws org.openrdf.rio.RDFHandlerException

  Specified by:
    `handleComment` in interface `org.openrdf.rio.RDFHandler`
  Throws:
    `org.openrdf.rio.RDFHandlerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.